> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boundlesspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Preview Bank Transfer

> Use this to preview a bank transfer



## OpenAPI

````yaml POST /transfers/preview
openapi: 3.1.0
info:
  title: BoundlessPay API
  version: 1.0.0
servers: []
security: []
paths:
  /transfers/preview:
    post:
      description: Use this to preview a bank transfer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - recipientCountryCode
                - reference
                - amount
                - customer
              properties:
                recipientCountryCode:
                  type: string
                  example: NGA
                reference:
                  type: string
                  example: your-transfer-referencex
                amount:
                  type: number
                  example: 3000
                customer:
                  type: object
                  properties:
                    firstName:
                      type: string
                      example: John
                    lastName:
                      type: string
                      example: Doe
                    email:
                      type: string
                      example: johndoe@gmail.com
                    phoneNumber:
                      type: string
                      example: '090123456789'
      responses:
        '201':
          description: Preview created
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Operation Successful
                  data:
                    type: object
                    properties:
                      recipientName:
                        type: string
                        example: bsuitetest llc
                      reference:
                        type: string
                        example: your-transfer-referencex
                      amount:
                        type: number
                        example: 3000
                      currencyCode:
                        type: string
                        example: NGN
                      url:
                        type: >-
                          https://payments.dev.boundlesspay.com?ref=your-transfer-referencex
                      channels:
                        type: array
                        items:
                          type: string
                          example:
                            - card
                  meta:
                    type: object
                    properties:
                      timestamp:
                        type: string
                        format: date-time
                        example: '2026-03-20T13:36:18Z'

````